Bug 865883 - NetworkManager issues when using networkmanager-openswan plugin
NetworkManager issues when using networkmanager-openswan plugin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 845599
  Show dependency treegraph
 
Reported: 2012-10-12 13:39 EDT by Avesh Agarwal
Modified: 2014-01-29 22:41 EST (History)
5 users (show)

See Also:
Fixed In Version: NetworkManager-0.9.9.0-27.git20131003.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 22:41:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avesh Agarwal 2012-10-12 13:39:16 EDT
Description of problem:

While testing nm-openswan on F18/rhel7, I see following issues:

1. If I do not save user password in nm-connection editor and set it to "always ask", it gives me following error when starting vpn connection:

Oct 12 11:30:40 localhost NetworkManager[479]: <error> [1350055840.915770] [nm-vpn-connection.c:1410] get_secrets_cb(): Failed to request VPN secrets #3: (6) No agents were available for this request.

2. If I save user password to avoid 1, and start vpn connection with NM-openswan, NM fails to recognize that openswan does not use tun interface, and fails with following messages (ip addresses removed just in case):

Oct 12 12:27:34 localhost NetworkManager[479]: <info> VPN connection 'openswan' (IP4 Config Get) reply received from old-style plugin.
Oct 12 12:27:34 localhost NetworkManager[479]: <info> VPN Gateway: a.b.c.d
Oct 12 12:27:34 localhost NetworkManager[479]: <info> Tunnel Device: tun0
Oct 12 12:27:34 localhost NetworkManager[479]: <info> IPv4 configuration:
Oct 12 12:27:34 localhost NetworkManager[479]: <info>   Internal Address: a.b.c.d
Oct 12 12:27:34 localhost NetworkManager[479]: <info>   Internal Prefix: 24
Oct 12 12:27:34 localhost NetworkManager[479]: <info>   Internal Point-to-Point Address: a.b.c.d
Oct 12 12:27:34 localhost NetworkManager[479]: <info>   Maximum Segment Size (MSS): 0
Oct 12 12:27:34 localhost NetworkManager[479]: <info>   Forbid Default Route: no
Oct 12 12:27:34 localhost NetworkManager[479]: <info>   Internal DNS: a.b.c.d
Oct 12 12:27:34 localhost NetworkManager[479]: <info>   Internal DNS: a.b.c.d
Oct 12 12:27:34 localhost NetworkManager[479]: <info>   DNS Domain: 'redhat.com'
Oct 12 12:27:34 localhost NetworkManager[479]: <info> No IPv6 configuration
Oct 12 12:27:34 localhost NetworkManager[479]: <info> Login Banner:
Oct 12 12:27:34 localhost NetworkManager[479]: <info> -----------------------------------------
Oct 12 12:27:34 localhost NetworkManager[479]: <info> Unauthorized Access to this or any other Red Hat Inc. device is strictly prohibited. Violators will be prosecuted.
Oct 12 12:27:34 localhost NetworkManager[479]: <info> -----------------------------------------
Oct 12 12:27:34 localhost NetworkManager[479]: nm_system_iface_set_up: assertion `ifindex > 0' failed
Oct 12 12:27:34 localhost NetworkManager[479]: nm_system_apply_ip4_config: assertion `ifindex > 0' failed
Oct 12 12:27:34 localhost NetworkManager[479]: <warn> VPN connection 'openswan' did not receive valid IP config information.

This seems regression, as it works correctly in RHEL6 and earlier fedora releases.


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Create a vpn connection with NM-oopenswan plugin on F18
2. start the connection which fails ofcourse
3. check /var/log/messages for the above errors.
  
Actual results:
vpn connection fails.

Expected results:
vpn connection establishes correctly.

Additional info:
Comment 1 Avesh Agarwal 2012-10-12 13:41:06 EDT
forgot to mention version numbers, and here they are:

NetworkManager-0.9.7.0-4.git20121004.fc18.x86_64
NetworkManager-glib-0.9.7.0-4.git20121004.fc18.x86_64
network-manager-applet-0.9.7.0-3.git20121004.fc18.x86_64

and nm-openswan version:

NetworkManager-openswan-0.9.3.995-3.git20120302.fc18.x86_64
Comment 2 Jirka Klimes 2012-12-13 13:32:18 EST
1. It is a problem with secret agents. Do you run gnome-shell or nm-applet?
Please, try with latest packages.

2. Bug confirmed.
It is the same as bug 845599. I've attached patches to it.
(When 1 is solved we can dupe it).
Comment 3 Fedora End Of Life 2013-12-21 10:08:58 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora Update System 2014-01-28 10:23:27 EST
NetworkManager-0.9.9.0-27.git20131003.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.9.0-27.git20131003.fc20
Comment 5 Fedora Update System 2014-01-28 22:13:07 EST
Package NetworkManager-0.9.9.0-27.git20131003.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.9.9.0-27.git20131003.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1733/NetworkManager-0.9.9.0-27.git20131003.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2014-01-29 22:41:28 EST
NetworkManager-0.9.9.0-27.git20131003.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.